#include<string.h>
void vuln(char *input) {
  char buf[50];
  size_t len = strlen(input);
  for (size_t i = 0; i < len; i++) {
    buf[i] = input[i];
  }
}
int main(int argc, char **argv) {
  vuln(argv[1]);
  return 0;
}

